Skip to main content
Attachments

Delete an attachment

Delete an existing attachment.

DELETE
/gb/attachments/{attachment_id}

The system will set the [gb_attachments]status_flag of the attachment to 'deleted'. The record is left linked to the parent record, E.g. Event.

This method requires the Attachments:Delete permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
attachment_idstringrequired

Attachment Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Success